<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>专家评估</title>
	<meta name="decorator" content="default"/>
    <style>
        label.error{
            left:0px;
            top:40px;
        }
    </style>
	<script type="text/javascript">
		var validateForm;
		function doSubmit(i){//回调函数，在编辑和保存动作时，供openDialog调用提交表单。
            if(validateForm.form()){
                $("#inputForm").submit();
                return true;
            }
	
		  return false;
		}
        $(document).ready(function() {
            $("input[name='ext']").on('ifChecked', function(event){
                var radioVal = $(this).val();
                if(radioVal == 0){
                    $(".td1").removeClass("hide");
                }else{
                    $(".td1").addClass("hide");
                }
            });
            if("${workReimbursement.ext}" == "1"){
                $("#ext1").iCheck('check')
            }else{
                $("#ext").iCheck('check')
            }
            validateForm = $("#inputForm").validate({
                submitHandler: function(form){
                    loading('正在提交，请稍等...');
                    form.submit();
                },
                errorContainer: "#messageBox",
                errorPlacement: function(error, element) {
                    $("#messageBox").text("输入有误，请先更正。");
                    if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
                        error.appendTo(element.parent().parent());
                    } else {
                        error.insertAfter(element);
                    }
                }
            });
            $("#attachment_btn").click(function () {
                $("#attachment_file").click();
            });
            laydate.render({
                elem: '#assessDate', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
                event: 'focus', //响应事件。如果没有传入event，则按照默认的click
                type : 'date'
            });
        });


        function insertTitle(tValue){
            var list = "${workAdministrativeAtamp.workAttachments}";
            var size = (list.split('url')).length-1;
            var files = $("#attachment_file")[0].files;            for(var i = 0;i<files.length;i++) {                var file = files[i];
            var attachmentId = "";
            var attachmentFlag = "102";
            console.log(file);
            var timestamp=new Date().getTime();

            var storeAs = "attachment-file/workIncomingMessage/"+timestamp+"/"+file['name'];
            var uploadPath="http://gangwan-app.oss-cn-hangzhou.aliyuncs.com/"+storeAs;/*将这段字符串存到数据库即可*/
            var divId = "_attachment";
            $("#addFile"+divId).show();
            multipartUploadWithSts(storeAs, file,attachmentId,attachmentFlag,uploadPath,divId,size);}
        }
        function setPNumber(obj){
            $.ajax({
                type:'post',
                url:'${ctx}/workinvoice/workInvoice/getPNumber',
                data:{
                    "obj":obj
                },
                success:function(data){
                    var d = JSON.parse(data);
                    $("#pNumber").val(d.pNumber);
                    $("#projectId").val(d.projectId);
                    $("#cInfoName").val(d.cInfoName);
                    $("#cName").val(d.cName);
                    $("#reportName").val(d.reportName);
                    $("#reportId").val(d.reportId);
                }
            })
        }
	</script>
</head>
<body>
    <div class="single-form">
        <div class="container">
            <form:form id="inputForm" modelAttribute="projectSpecialistAssess" action="${ctx}/projectReport/projectSpecialistAssess/save" method="post" class="form-horizontal">
                <input type="hidden" id="reportId" name="reportId" value="">
                <input type="hidden" id="projectId" name="projectId" value="">
                <input type="hidden" id="status" name="status" value="">
            <form:hidden path="id"/>
                <div class="form-group layui-row first">
                    <div class="form-group-label"><h2>基本信息</h2></div>
                    <div class="layui-item layui-col-sm6 td1">
                        <label class="layui-form-label"><span class="require-item">*</span>项目名称：</label>
                        <div class="layui-input-block">
                            <form:input id ="projectName" path="projectName" htmlEscape="false"  readonly="true" class="form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 td1">
                        <label class="layui-form-label"><span class="require-item">*</span>项目编号：</label>
                        <div class="layui-input-block">
                            <form:input id ="pNumber" path="pNumber" htmlEscape="false"  readonly="true" class="form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 td1">
                        <label class="layui-form-label double-line"><span class="require-item">*</span>项目报告名称：</label>
                        <div class="layui-input-block">
                            <form:input id ="reportName" path="reportName" htmlEscape="false"  readonly="true" class="form-control layui-input"/>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6 td1">
                        <label class="layui-form-label double-line"><span class="require-item">*</span>是否调整报告：</label>
                        <div class="layui-input-block">
                            <c:choose>
                                <c:when test="${projectSpecialistAssess.status == 0}">
                                    <input type="text" htmlEscape="false"  readonly="true" class="form-control layui-input" value="无需调整">
                                </c:when>
                                <c:otherwise>
                                    <input type="text" htmlEscape="false"  readonly="true" class="form-control layui-input" value="调整">
                                </c:otherwise>
                            </c:choose>
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm6">
                        <label class="layui-form-label double-line"><span class="require-item">*</span>评估日期：</label>
                        <div class="layui-input-block">
                            <input class="laydate-icondate layui-input form-control layer-date laydate-icon required" id="assessDate" name="assessDate" value="<fmt:formatDate value="${projectSpecialistAssess.assessDate}" pattern="yyyy-MM-dd"/>">
                        </div>
                    </div>
                    <div class="layui-item layui-col-sm12 with-textarea">
                        <label class="layui-form-label">评估内容：</label>
                        <div class="layui-input-block">
                            <form:textarea path="assessContent" htmlEscape="false" rows="3" maxlength="255" class="form-control"/>
                        </div>
                    </div>
                </div>
	        </form:form>
        </div>
    </div>
</body>
</html>